/*
 * Dax - Load and draw SVG
 *
 * Copyright © 2009 Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU Lesser General Public License,
 * version 2.1, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __DAX_H__
#define __DAX_H__

#define __DAX_H_INSIDE__

#include "dax-actor.h"
#include "dax-core.h"
#include "dax-dom-forward.h"
#include "dax-dom-character-data.h"
#include "dax-dom-document.h"
#include "dax-dom-element.h"
#include "dax-dom-exception.h"
#include "dax-dom-node.h"
#include "dax-dom-text.h"
#include "dax-element.h"
#include "dax-element-animate.h"
#include "dax-element-animate-transform.h"
#include "dax-element-animation.h"
#include "dax-element-circle.h"
#include "dax-element-desc.h"
#include "dax-element-g.h"
#include "dax-element-handler.h"
#include "dax-element-image.h"
#include "dax-element-line.h"
#include "dax-element-path.h"
#include "dax-element-polyline.h"
#include "dax-element-rect.h"
#include "dax-element-script.h"
#include "dax-element-svg.h"
#include "dax-element-text.h"
#include "dax-element-title.h"
#include "dax-element-traversal.h"
#include "dax-element-video.h"
#include "dax-enum-types.h"
#include "dax-knot-sequence.h"
#include "dax-parser.h"
#include "dax-traverser.h"
#include "dax-traverser-clutter.h"
#include "dax-traverser-load.h"
#include "dax-types.h"
#include "dax-xml-forward.h"
#include "dax-xml-event.h"
#include "dax-xml-event-target.h"
#include "dax-xml-event-listener.h"

#undef __DAX_H_INSIDE__

#endif /* __DAX_H__ */
